%define module_name cloop
%define module_version 2.01
%define module_release alt3
%define module_subversion 1

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} (Compressed loop) modules sources
License:       GPL
Group:         Development/Kernel
Source0:       http://developer.linuxtag.net/knoppix/sources/%{module_name}_%version-%module_subversion.tar.gz
URL:	       http://developer.linuxtag.net/knoppix/sources/
Source1:       cloop-Makefile
Patch0:	       cloop-2.01-modprobe-header.patch
Patch1:        cloop-2.01-compat26.patch

# Automatically added by buildreq on Tue Mar 30 2004
BuildRequires: zlib-devel

%description
%{module_name} (Compressed loop) modules sources for Linux kernel

%package -n %module_name-utils
Summary:	Tools for handling with cloop compressed volumes
Group:		System/Base

%description -n %module_name-utils
 Utilities for creating and unpacking compressed loopback files
 for cloop.


%prep
%setup -q -n %{module_name}-%version
%patch0 -p1
%patch1 -p1

%build
%__mkdir %name
%__mv compressed_loop.c %name/
%__cp -af compressed_loop.h %name/
%__cp -af %{SOURCE1} %name/Makefile
%__tar cvfj %name.tar.bz2 %name
%make create_compressed_fs APPSONLY=1
%make extract_compressed_fs APPSONLY=1

%install
%__mkdir -p %{buildroot}%{_usrsrc}/kernel/sources/
%__mkdir -p %{buildroot}/usr/bin/
%__mkdir -p %{buildroot}%{_mandir}/man1/
%__cp -af %name.tar.bz2 %{buildroot}%{_usrsrc}/kernel/sources/%name.tar.bz2
%__install -m 644 debian/*.1 %{buildroot}%{_mandir}/man1/
%__install -m 755 create_compressed_fs %{buildroot}/usr/bin/
%__install -m 755 extract_compressed_fs %{buildroot}/usr/bin/

%files
%{_usrsrc}/kernel/sources/%name.tar.bz2

%files -n cloop-utils
%doc README CHANGELOG
%_mandir/man1/*
/usr/bin/*

%changelog
* Fri Apr 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2.01-alt3
- fixed makefile to build also on 2.4.x
- removed unneeded code to fake 2.6.x build system from kernel module

* Wed Mar 31 2004 Anton Farygin <rider@altlinux.ru> 2.01-alt2
- mandir fixed

* Tue Mar 30 2004 Anton Farygin <rider@altlinux.ru> 2.01-alt1
- Initial release
